Subject: Re: [PATCH] Debian packaging for 0.99.4

From: Sebastian Kuzminsky <[email-masked]>
Date: Thu, 11 Aug 2005 14:44:29 -0600

Matthias Urlichs <[email-masked]> wrote:
> Another possible solution: Rename git's git to X and install ours as Y.
> Ask the user which should be symlinked to /usr/bin/git, if both are
> installed, via the existing "alternatives" system.

I suggested this on debian-devel, and was told that update-alternatives is
not to be used for programs that do not do the same thing.  Debian Policy
Manual, section 10.1.

It's ok for vim and nvi to use update-alternatives to pick who gets
to be vi, because no matter which alternative is active, running "vi"
does what you expect.  It's not ok to use it for git and GNU Interactive
Tools, because they do such different things.

Thanks for working with me on this, I appreciate all the suggestions.
I hope we can make Debian not suck at git.

-- 
Sebastian Kuzminsky